Subject: Re: #779: fixed in src:xorg-server version 2:21.1.7-3devuan2~exp1

From: Fran Vazquez <[email-masked]>
Date: Tue, 12 Sep 2023 13:39:12 +0200

On Sat, 09 Sep 2023 16:24:59 +0000 [email-masked] wrote:

> Version: 2:21.1.7-3devuan2~exp1

> Source package xorg-server (2:21.1.7-3devuan2~exp1) added to Devuan suite experimental.

> This closes bug report 779.

Sorry, not for me. Trying in daedalus, with elogind backend; xorg don't crash, but when return from console I have no input, and need to kill the session from another machine.

Maybe related, in daedalus I need to install the polkit package (or include my user in the input group) to have input; without polkit the libseat can not talk to elogind, and can not use it as backend.

First of all, I don't see the technical point of including 'libseat support' (and the libsystemd dependency) in the xorg core, but maybe this is not the place to talk about this.

Attached is the Xorg.0.log from the experimental package.

Cheers...